/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, String_$type, markType } from "./type";
import { Dictionary$2 } from "./Dictionary$2";
import { ListPanelContentRecycledEventArgsDescription } from "./ListPanelContentRecycledEventArgsDescription";
/**
 * @hidden
 */
export let ListPanelContentRecycledEventArgsDescriptionMetadata = /*@__PURE__*/ (() => {
    class ListPanelContentRecycledEventArgsDescriptionMetadata extends Base {
        static b(a) {
            if (ListPanelContentRecycledEventArgsDescriptionMetadata.a == null) {
                ListPanelContentRecycledEventArgsDescriptionMetadata.a = new Dictionary$2(String_$type, String_$type, 0);
                ListPanelContentRecycledEventArgsDescriptionMetadata.c(ListPanelContentRecycledEventArgsDescriptionMetadata.a);
            }
            if (a.k(ListPanelContentRecycledEventArgsDescriptionMetadata.a)) {
                return;
            }
            a.ac(ListPanelContentRecycledEventArgsDescriptionMetadata.a);
        }
        static c(a) {
            a.item("RowObjectRef", "(w:RowObject,wf:RowObject)DataRef");
        }
        static d(a) {
            ListPanelContentRecycledEventArgsDescriptionMetadata.b(a);
            a.ae("ListPanelContentRecycledEventArgs", () => new ListPanelContentRecycledEventArgsDescription());
            a.ad("ListPanelContentRecycledEventArgs", ListPanelContentRecycledEventArgsDescriptionMetadata.a);
        }
    }
    ListPanelContentRecycledEventArgsDescriptionMetadata.$t = /*@__PURE__*/ markType(ListPanelContentRecycledEventArgsDescriptionMetadata, 'ListPanelContentRecycledEventArgsDescriptionMetadata');
    ListPanelContentRecycledEventArgsDescriptionMetadata.a = null;
    return ListPanelContentRecycledEventArgsDescriptionMetadata;
})();
